Package com.avaya.clientservices.calllog

## Enum CallLogSourceType

- java.lang.Object
- - java.lang.Enum<CallLogSourceType>
  - - com.avaya.clientservices.calllog.CallLogSourceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallLogSourceType>`

      public enum CallLogSourceType
      extends java.lang.Enum<CallLogSourceType>

  Describes the media source type of the call log.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EC500` | Call log loaded from the client (i.e.
    `IM` | Instant message conversation.
    `UNDEFINED` | The media type is not defined.
    `VIDEO` | A voice call with video.
    `VOICE` | A voice only call.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallLogSourceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallLogSourceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final CallLogSourceType UNDEFINED

      The media type is not defined.

    - #### VOICE

          public static final CallLogSourceType VOICE

      A voice only call.

    - #### VIDEO

          public static final CallLogSourceType VIDEO

      A voice call with video.

    - #### IM

          public static final CallLogSourceType IM

      Instant message conversation.

    - #### EC500

          public static final CallLogSourceType EC500

      Call log loaded from the client (i.e. for EC500 feature).

  - ### Method Detail

    - #### values

          public static CallLogSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallLogSourceType c : CallLogSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallLogSourceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null